AbstractSSTableIterator.IndexState (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.columniterator

## Class AbstractSSTableIterator.IndexState

- java.lang.Object
- - org.apache.cassandra.db.columniterator.AbstractSSTableIterator.IndexState

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Enclosing class:
    AbstractSSTableIterator

      public static class AbstractSSTableIterator.IndexState
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexState(AbstractSSTableIterator.Reader reader, ClusteringComparator comparator, RowIndexEntry indexEntry, boolean reversed, FileHandle indexFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `blocksCount()`
    `void` | `close()`
    `int` | `currentBlockIdx()`
    `IndexInfo` | `currentIndex()`
    `int` | `findBlockIndex(ClusteringBound bound, int fromIdx)`
    `IndexInfo` | `index(int i)`
    `int` | `indexFor(ClusteringPrefix name, int lastIndex)`
    `boolean` | `isDone()`
    `boolean` | `isPastCurrentBlock()`
    `void` | `setToBlock(int blockIdx)`
    `java.lang.String` | `toString()`
    `void` | `updateBlock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexState

          public IndexState(AbstractSSTableIterator.Reader reader,
                            ClusteringComparator comparator,
                            RowIndexEntry indexEntry,
                            boolean reversed,
                            FileHandle indexFile)

  - ### Method Detail

    - #### isDone

          public boolean isDone()

    - #### setToBlock

          public void setToBlock(int blockIdx)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### blocksCount

          public int blocksCount()

    - #### updateBlock

          public void updateBlock()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isPastCurrentBlock

          public boolean isPastCurrentBlock()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### currentBlockIdx

          public int currentBlockIdx()

    - #### currentIndex

          public IndexInfo currentIndex()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### index

          public IndexInfo index(int i)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### findBlockIndex

          public int findBlockIndex(ClusteringBound bound,
                                    int fromIdx)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### indexFor

          public int indexFor(ClusteringPrefix name,
                              int lastIndex)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation